ServerEvents.recipes(event => {
  event.remove({id: 'reliquary:alkahestry_tome'})
  event.remove({id: 'allthemodium:teleport_pad'})
  event.remove({id: 'laserio:logic_chip_raw'})
  event.remove({output: 'laserio:logic_chip'})
  event.remove({id: 'mob_grinding_utils:recipe_saw'})
  event.remove({id: 'travelanchors:travel_anchor'})
  event.remove({id: 'tiab:time_in_a_bottle'})
  event.remove({id: 'notenoughwands:wand_core'})
  event.remove({id: 'notenoughwands:advanced_wand_core'})
  event.remove({id: 'dimstorage:dim_wall'})
  event.remove({id: 'dimstorage:solid_dim_core'})
  event.remove({id: 'entangled:block'})
  event.remove({id: 'hyperbox:hyperbox'})
  event.remove({id: 'ironjetpacks:basic_coil'})
  event.remove({id: 'ironjetpacks:advanced_coil'})
  event.remove({id: 'ironjetpacks:elite_coil'})
  event.remove({id: 'ironjetpacks:ultimate_coil'})
  event.remove({id: 'angelring:diamond_ring'})
  event.remove({output: 'fluxnetworks:flux_dust'})
})

ServerEvents.recipes(event => {
  //Tome of Alkahestry
  event.shaped('reliquary:alkahestry_tome',
    ['121','365','141'], {
      1: 'reliquary:witherless_rose', 
      2: 'reliquary:glacial_staff',
      3: 'reliquary:mercy_cross',
      4: 'reliquary:harvest_rod',
      5: 'reliquary:hero_medallion',
      6: 'eidolon:codex'
  }).id('reliquary:alkahestry_tome')

  //eye of Ignis
  event.shapeless(
    Item.of('endrem:nether_eye'), // arg 1: output
    [ 
      'cataclysm_ut:lifefire'
    ]
  ).id('endrem:nether_eye')

  //Monstrosity's Eye
  event.shapeless(
    Item.of('endrem:lost_eye'), // arg 1: output
    [ 
      'cataclysm:monstrous_horn'
    ]
  ).id('endrem:lost_eye')

  //Harbinger's Eye
  event.shapeless(
    Item.of('endrem:cursed_eye'), // arg 1: output
    [ 
      'cataclysm:witherite_block'
    ]
  ).id('endrem:cursed_eye')

  //Travel Anchor
  event.shapeless(
    Item.of('travelanchors:travel_anchor'), // arg 1: output
    [ 
      'enderio:travel_anchor'
    ]
  ).id('travelanchors:travel_anchor')

  //Travel Anchor - Revert
  event.shapeless(
    Item.of('enderio:travel_anchor'), // arg 1: output
    [ 
      'travelanchors:travel_anchor'
    ]
  ).id('travelanchors:travel_anchor_revert')

  //Mob Masher
  event.shaped('mob_grinding_utils:saw',
    ['121','343','252'], {
      1: 'allthemodium:allthemodium_sword', 
      2: '#forge:ingots/vibranium',
      3: 'mob_grinding_utils:spikes',
      4: 'allthecompressed:redstone_block_2x',
      5: 'evilcraft:promise_tier_3'
  }).id('mob_grinding_utils:saw')

  //Basic Coil
  event.shaped('ironjetpacks:basic_coil',
    [' 12','131','21 '], {
      1: '#forge:ingots/steel', 
      2: '#forge:dusts/redstone',
      3: '#forge:rods/treated_wood'
  }).id('ironjetpacks:basic_coil')

  //Advanced Coil
  event.shaped('ironjetpacks:advanced_coil',
    [' 12','131','21 '], {
      1: '#forge:ingots/arcane_gold', 
      2: '#forge:dusts/redstone',
      3: 'ironjetpacks:basic_coil'
  }).id('ironjetpacks:advanced_coil')

  //Elite Coil
  event.shaped('ironjetpacks:elite_coil',
    [' 12','131','21 '], {
      1: '#forge:ingots/end_steel', 
      2: '#forge:dusts/redstone',
      3: 'ironjetpacks:advanced_coil'
  }).id('ironjetpacks:elite_coil')

  //Ultimate Coil
  event.shaped('ironjetpacks:ultimate_coil',
    [' 12','131','21 '], {
      1: '#forge:ingots/desh', 
      2: '#forge:dusts/redstone',
      3: 'ironjetpacks:elite_coil'
  }).id('ironjetpacks:ultimate_coil')

  //Diamond Ring
  event.shaped('angelring:diamond_ring',
    ['121','232','121'], {
      1: 'minecraft:ghast_tear', 
      2: '#forge:storage_blocks/diamond',
      3: {
        "type": "forge:nbt",
        "item": "ironjetpacks:jetpack",
        "count": 1,
        "nbt": "{Id:\"ironjetpacks:emerald\"}"
      }
  }).id('angelring:diamond_ring')

  //Raw Logic Chip
  event.shaped('2x laserio:logic_chip_raw',
    ['121','343','121'], {
      1: '#forge:ingots/end_steel', 
      2: '#forge:ingots/energetic_alloy',
      3: '#forge:gems/amethyst',
      4: 'allthecompressed:quartz_block_1x'
  }).id('laserio:logic_chip_raw')

  //Time in a Bottle
  event.shaped('tiab:time_in_a_bottle',
    ['111','232','454'], {
      1: 'industrialforegoing:pink_slime_ingot', 
      2: '#forge:gems/shadow_gem',
      3: 'create:cuckoo_clock',
      4: 'allthecompressed:lapis_block_1x',
      5: 'minecraft:glass_bottle'
  }).id('tiab:time_in_a_bottle')

  //Logic Chip
  event.custom({
    "type": "pneumaticcraft:pressure_chamber", 
      "inputs": [
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 1,
          "item": "laserio:logic_chip_raw"
        },
    ],
          "pressure": 2.5, 
          "results": [{"item": "laserio:logic_chip"}]
  }).id('laserio:pressure/logic_chip')

  //TelePad ATM
  event.custom({
    "type": "pneumaticcraft:pressure_chamber", 
      "inputs": [
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 2,
          "tag": "forge:ingots/allthemodium"
        },
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 2,
          "tag": "forge:ingots/vibranium"
        },
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 2,
          "tag": "forge:ingots/unobtainium"
        },
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 1,
          "item": "bloodmagic:etherealslate"
        },
    ],
          "pressure": 2.5, 
          "results": [{"item": "allthemodium:teleport_pad"}]
  }).id('allthemodium:pressure/teleport_pad')

  //Diamond Gear -> Allthemodium Gear
  event.replaceInput(
    { mod: 'industrialforegoing' }, // Arg 1: the filter
    '#forge:gears/diamond',            // Arg 2: the item to replace
    '#forge:gears/allthemodium'         // Arg 3: the item to replace it with
  )

  //Wand Core
  event.shaped('notenoughwands:wand_core',
  ['12 ','212',' 21'], {
    1: 'botania:blaze_block', 
    2: '#forge:ingots/swift_alloy'
  }).id('notenoughwands:wand_core')

  //Wand Core
  event.shaped('notenoughwands:advanced_wand_core',
  [' 1 ','232',' 4 '], {
    1: '#forge:storage_blocks/nether_star', 
    2: '#forge:ingots/allthemodium', 
    3: 'notenoughwands:wand_core', 
    4: '#forge:storage_blocks/fireite'
  }).id('notenoughwands:advanced_wand_core')

  //Dimensional Wall
  event.shaped('4x dimstorage:dim_wall',
  ['121','232','121'], {
    1: '#forge:storage_blocks/compressed_iron', 
    2: 'minecraft:redstone_block', 
    3: 'minecraft:diamond_block'
  }).id('dimstorage:dim_wall')

  //Solid Dimensional Core
  event.shaped('dimstorage:solid_dim_core',
  ['111','121','111'], {
    1: '#forge:ingots/compressed_iron', 
    2: 'dimstorage:dim_core'
  }).id('dimstorage:solid_dim_core')

  //Entangled Block
  event.shaped('entangled:block',
  ['121','232','121'], {
    1: '#forge:storage_blocks/ender_pearls', 
    2: 'allthecompressed:obsidian_1x', 
    3: 'pneumaticcraft:smart_chest'
  }).id('entangled:block')

  //Hyper Box
  event.shaped('hyperbox:hyperbox',
  ['121','232','121'], {
    1: 'naturesaura:end_city_finder', 
    2: 'allthecompressed:obsidian_1x', 
    3: 'entangled:block'
  }).id('hyperbox:hyperbox')

  //Flux Dust
  event.custom({
  "input": [
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    },
    {
      "tag": "forge:dusts/redstone"
    }
  ],
  "processingTime": 300,
  "output": {
    "item": "fluxnetworks:flux_dust",
    "count": 8
  },
  "inputFluid": "{FluidName:\"minecraft:lava\",Amount:1000}",
  "type": "industrialforegoing:dissolution_chamber"
}).id('fluxnetworks:flux_dust')

//Unob - Allthemodium Alloy Ingot
event.recipes.powah.energizing(["#forge:ingots/allthemodium", "#forge:ingots/unobtainium"], "#forge:ingots/unobtainium_allthemodium_alloy", 250000).id(`allthemodium:unobtainium_allthemodium_alloy`)

//Unob - Vibranium Alloy Ingot
event.recipes.powah.energizing(["#forge:ingots/unobtainium", "#forge:ingots/vibranium"], "#forge:ingots/unobtainium_vibranium_alloy", 250000).id(`allthemodium:unobtainium_vibranium_alloy`)

//Vibranium - Allthemodium Alloy Ingot
event.recipes.powah.energizing(["#forge:ingots/allthemodium", "#forge:ingots/vibranium"], "#forge:ingots/vibranium_allthemodium_alloy", 250000).id(`allthemodium:vibranium_allthemodium_alloy`)

  //Impostor's Guidebook
  event.custom({
    "type": "patchouli:shapeless_book_recipe",
    "ingredients": [
      {
        "tag": "impostor:item_port_input"
      },
      {
        "item": "minecraft:book"
      }
    ],
    "book": "patchouli:impostor_book"
  })

  //Red Heart Canister
  event.shaped('bhc:red_heart_canister',
  ['12 ','34 ','   '], {
    1: 'bhc:red_heart', 
    2: '#forge:bones/wither', 
    3: 'bhc:relic_apple', 
    4: 'bhc:canister'
  }).id('bhc:red_heart_canister')

  //Ancient Debris - Crushing Wheels
  event.recipes.createCrushing([
    'minecraft:netherite_scrap',
    Item.of('minecraft:ancient_debris').withChance(0.66)
  ], 'minecraft:ancient_debris')
})